<?php
@session_start();
	
	include( "f_admin.php" );
	include( "f_wfl.php" );
	
	if ( isset( $_GET[ "cmd" ] ) )
	{
		$kommando					= $_GET[ "cmd" ];					// _GET wird über die URL übergeben
	}
	
	
	switch ( $kommando )
	{
		case "vertrag_anlegen":
			$html = vertrag_anlegen( );
			break;
	}
	
	echo $html;
	
	
	
	function vertrag_anlegen( )
	{
		//xlog( 4, "vertrag_anlegen" );
		
		foreach( $_POST as $key=>$value )
		{
			xlog( 4, "vertrag_anlegen: ".$key." => ".$value );
			
			$e = explode( "_", $key );
			
			switch( $e[ 0 ] )
			{
				// aussortieren der POST-Parameter, die nicht Attribute sind
				case "alpha":
				case "datum":
				case "num":
				case "geld":
					$attribute[ $key ] = $value;
					break;
			}
			
		}
		
		$dateipraefix = $_POST[ "praefix_1" ];
		
		// Vertragsakte erzeugen
		$ergebnis_1 = import( $_SESSION[ "mandant_name" ], "vertragsmanagement", "dokumentakte", $attribute, $mehrfachattribute, /* Dokument-Binary => */ "" );
		
		if ( $ergebnis_1[ 0 ] > 0 )
		{
			$tmpdir = $_SERVER["DOCUMENT_ROOT"]."/temp";
			
			$zaehler = 1;
			
			while ( file_exists( $tmpdir."/".$_POST[ "praefix_1" ]."_".$zaehler ) )
			{
				$dok_binary = file_get_contents( $tmpdir."/".$_POST[ "praefix_1" ]."_".$zaehler );
				
				$ergebnis_2 = import( $_SESSION[ "mandant_name" ], "vertragsmanagement", "abhaengig", $attribute, array(), $dok_binary, $tmpdir."/".$_POST[ "praefix_1" ]."_".$zaehler );
				
				verknuepfe_dok_mit_dok( $ergebnis_1[ 0 ], $ergebnis_2[ 0 ] );
				
				unlink( $tmpdir."/".$_POST[ "praefix_1" ]."_".$zaehler );
				unlink( $tmpdir."/".$_POST[ "praefix_1" ]."_".$zaehler.".info" );
				
				$zaehler = bcadd( $zaehler, 1, 0 );
			}
			
			$_SESSION[ "meldung_ver" ] = "Die Vertragsakte wurde mit der Dokument-ID ".$ergebnis_1[ 0 ]." erzeugt. Es wurden ".bcsub( $zaehler, 1, 0 )." abhängige Dokumente übernommen.";
		}
		else
		{
			$_SESSION[ "meldung_ver" ] = "Es ist ein Problem beim Erzeugen der Vertragsakte aufgetreten: '".$ergebnis[ 1 ]."'.";
		}
		
		
		
		header( "Location: ver_anlegen.php" );
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
?>